<?php
global $product, $woocommerce, $post;
?>
<?php
    $cats = wp_get_post_terms( $post->ID, "product_cat" );
    foreach ( $cats as $cat ) {
        $cats_array[] .= $cat->term_id;
    }
    $tags = wp_get_post_terms( $post->ID, "product_tag" );
    foreach ( $tags as $tag ) {
        $tags_array[] .= $tag->term_id;
    }
    $products = new WP_Query(
        array(
            'posts_per_page' => 10,
            'post_type' => 'product',
            'post__not_in' => array($post->ID),
            'tax_query' => array(
                    'relation' => 'OR',
                    array(
                            'taxonomy' => 'product_tag',
                            'terms' => $tags_array
                    ),
					array(
                            'taxonomy' => 'product_cat',
                            'terms' => $cats_array
                    )
            )
        ) 
    );
if ( $products->have_posts() ) : ?>

	<div class="woocommerce content_single related_post">
			<div class="title_widg_index"><h3><?php _e('محصولات مرتبط','woocommerce'); ?></h3></div>

<ul id="owl-demo5" class="products owl-carousel">			


<?php while ( $products->have_posts() ) : $products->the_post(); ?>

<li <?php post_class('item'); ?>>
	<?php
	/**
	 * woocommerce_before_shop_loop_item hook.
	 *
	 * @hooked woocommerce_template_loop_product_link_open - 10
	 */
	do_action( 'woocommerce_before_shop_loop_item' );

	/**
	 * woocommerce_before_shop_loop_item_title hook.
	 *
	 * @hooked woocommerce_show_product_loop_sale_flash - 10
	 * @hooked woocommerce_template_loop_product_thumbnail - 10
	 */
	do_action( 'woocommerce_before_shop_loop_item_title' );

	/**
	 * woocommerce_shop_loop_item_title hook.
	 *
	 * @hooked woocommerce_template_loop_product_title - 10
	 */
	do_action( 'woocommerce_shop_loop_item_title' );

	/**
	 * woocommerce_after_shop_loop_item_title hook.
	 *
	 * @hooked woocommerce_template_loop_rating - 5
	 * @hooked woocommerce_template_loop_price - 10
	 */
	do_action( 'woocommerce_after_shop_loop_item_title' );

	/**
	 * woocommerce_after_shop_loop_item hook.
	 *
	 * @hooked woocommerce_template_loop_product_link_close - 5
	 * @hooked woocommerce_template_loop_add_to_cart - 10
	 */
	do_action( 'woocommerce_after_shop_loop_item' );
	?>
</li>

<?php endwhile; // end of the loop. ?>


</ul>

			
		</div>
<?php endif;
wp_reset_postdata(); ?>
<script>
jQuery(document).ready(function() {
    jQuery("#owl-demo5").owlCarousel({
	items : 4,
		intervaltime:3000,
	start: 1,
	<?php if ( ot_get_option('autoPlay_slider', 'on') == 'on' ) echo 'autoPlay : true,'; ?>
    stopOnHover : false,
	navigation : true
  });
  
	setTimeout(function(){ 
		var newheight = jQuery('#owl-demo5').css('height');
		jQuery('#owl-demo5 .item').css('height', newheight); 
		jQuery('#owl-demo5 .item').css('padding-bottom', 0);    
	}, 2000);  
  
});

</script>